<?php

include 'login/config.php';
  //$con = new mysqli("localhost","harshxxx_yatin","yatin@2020","harshxxx_olmezest_crosstalk");
  if ($con -> connect_errno) {
    echo "Failed to connect to MySQL: " . $con -> connect_error;
    exit();
  }

  $sql = "SELECT user, min(logintime) as logintime, max(logouttime) as logouttime FROM sessions group by user";
  $result = mysqli_query($con, $sql);


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Logs Report</title>
    <link rel="stylesheet" href="https://unpkg.com/bootstrap-material-design@4.1.1/dist/css/bootstrap-material-design.min.css" integrity="sha384-wXznGJNEXNG1NFsbm0ugrLFMQPWswR3lds2VeinahP8N0zJw9VWSopbjv2x7WCvX" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="https://unpkg.com/popper.js@1.12.6/dist/umd/popper.js" integrity="sha384-fA23ZRQ3G/J53mElWqVJEGJzU0sTs+SvzG8fXVWP+kJQ1lwFAOkcUOysnlKJC33U" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/bootstrap-material-design@4.1.1/dist/js/bootstrap-material-design.js" integrity="sha384-CauSuKpEqAFajSpkdjv3z9t8E7RlpJ1UP0lKM/+NdtSarroVKu069AlsRPKkFBz9" crossorigin="anonymous"></script>
    <script>$(document).ready(function() { $('body').bootstrapMaterialDesign(); });</script>
    <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.5.2/css/buttons.dataTables.min.css">
    <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/dataTables.buttons.min.js"></script>
    <script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.0/css/lightbox.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.0/js/lightbox.min.js"></script>
</head>
<body>
  

    <br><br>

    <div class="container">
        <table class="table upload-table table-responsive">
            <thead>
                <tr>
                    <th class="text-center">Sr.No.</th>
                    <th class="text-center">Name</th>
                    <th class="text-center">Speciality</th>
                    <th class="text-center">Email</th>
                    <th class="text-center">Mobile</th>
                    <th class="text-center">City</th>
                    <th class="text-center">State</th>
                    <th class="text-center">Login</th>
                    <th class="text-center">Logout</th>
                     
                </tr>
            </thead>
            <tbody>
            <?php
                if (mysqli_num_rows($result) > 0) {
                  	$count = 1;
                    while($row = mysqli_fetch_assoc($result)) {
                         $e = $row['user'];
                         $myusername = mysqli_real_escape_string($con,$e);
                         $sqlu = "SELECT * FROM users where email = '$myusername'";
                         
                          $resultu = mysqli_query($con,$sqlu);
                          $rowuser = $resultu->fetch_row();
                          
                  
                         
                         
                         
                        echo "<tr>\n";
                      	echo "\t<td class='text-center'>" . $count. "</td>\n";
                        echo "\t<td class='text-center'>" . $rowuser[2]. "</td>\n";
                        echo "\t<td class='text-center'>" . $rowuser[4]. "</td>\n";
                        echo "\t<td class='text-center'>" . $row['user']. "</td>\n";
                        echo "\t<td class='text-center'>" . $rowuser[6]. "</td>\n";
                        echo "\t<td class='text-center'>" . $rowuser[5]. "</td>\n";
                        echo "\t<td class='text-center'>" . $rowuser[7]. "</td>\n";
                        echo "\t<td class='text-center'>" . $row['logintime'] . "</td>\n";
                        echo "\t<td class='text-center'>" . $row['logouttime'] . "</td>\n";
                        echo "</tr>\n";
                      	$count++;
                    }
                }
            ?>
            </tbody>
        </table>
    </div>
<script>
$(document).ready(function() {
  $('.upload-table').DataTable({
    dom: 'Bfrtip',
    buttons: [
      'csvHtml5',
      'excelHtml5'
    ]
  });
});
</script>
</body>
</html>
